## org.apache.lucene.analysis.cn.smart
Class SmartChineseWordTokenFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.cn.smart.SmartChineseWordTokenFilterFactory

    public class SmartChineseWordTokenFilterFactory

extends TokenFilterFactory

Factory for the SmartChineseAnalyzer `WordTokenFilter`

Note: this class will currently emit tokens for punctuation. So you should either add a WordDelimiterFilter after to remove these (with concatenate off), or use the SmartChinese stoplist with a StopFilterFactory via: `words="org/apache/lucene/analysis/cn/smart/stopwords.txt"`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`SmartChineseWordTokenFilterFactory()`

Method Summary
`TokenFilter` `create(TokenStream input)`

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartChineseWordTokenFilterFactory

    public SmartChineseWordTokenFilterFactory()

Method Detail

### create

    public TokenFilter create(TokenStream input)

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.